<div class="new-order">
  <div class="title">
    Płatność za zamówienie
  </div>
  <div class="text">
    Wybrałeś pakiet <b><?= $this -> gsettings['pkt-pakiet-' . $this -> package . '-ilosc'];?> punktów</b>.<br/>
    Za chwilę zostaniesz przekierowany do strony <b>Tpay.com</b> gdzie będziesz mógł dokonać płatności.
  </div>
</div>
<?
  $url = 'https://secure.tpay.com';
  if ( $_SERVER['SERVER_NAME'] == 'www.globelus.pro24.com.pl' )
    $id = '1010';
  else
    $id = '50184';

  if ( $_SERVER['SERVER_NAME'] == 'www.globelus.pro24.com.pl' )
    $code = 'demo';
  else
    $code = '42mYboa8982hg6W9';

  $url .= '?id=' . $id;
  $url .= '&kwota=' . str_replace( ',', '.', $this -> gsettings['pkt-pakiet-' . $this -> package . '-cena'] );
  $url .= '&opis=' . urlencode( 'Zakup pakietu ' . $this -> gsettings['pkt-pakiet-' . $this -> package . '-ilosc'] . ' punktów.' );

  if ( $_SERVER['SERVER_NAME'] == 'www.globelus.pro24.com.pl' )
    $url .= '&wyn_email=' . urlencode( 'biuro@project-pro.pl' );
  else
    $url .= '&wyn_email=' . urlencode( 'kontakt@globelus.pl' );

  if ( $_SERVER['SERVER_NAME'] == 'www.globelus.pro24.com.pl' )
    $url .= '&email=' . urlencode( 'pyziak84@gmail.com' );
  else
    $url .= '&email=' . urlencode( $this -> user['email'] );

  $url .= '&nazwisko=' . urlencode( $this -> user['firm_name'] );
  $url .= '&crc=' . $this -> hash;
  $url .= '&result_url=' . urlencode( 'https://' . $_SERVER['SERVER_NAME'] . '/panel-pracodawcy/zakup-punktow/status' );
  $url .= '&return_url=' . urlencode( 'https://' . $_SERVER['SERVER_NAME'] . '/panel-pracodawcy/zakup-punktow/platnosc-prawidlowa' );
  $url .= '&return_error_url=' . urlencode( 'https://' . $_SERVER['SERVER_NAME'] . '/panel-pracodawcy/zakup-punktow/platnosc-nieprawidlowa' );
  $url .= '&md5sum=' . md5( $id . '&' . str_replace( ',', '.', $this -> gsettings['pkt-pakiet-' . $this -> package . '-cena'] ) . '&' . $this -> hash . '&' . $code );
?>
<script class="footer" type="text/javascript">
  $( function() {
    console.log( '<?= $url;?>' );
    setTimeout( function(){
      document.location.href = '<?= $url;?>';
    }, 1000 );
  });
</script>